Bug 457399 - mkdir: invalid option -- 't' when installing the kernel
mkdir: invalid option -- 't' when installing the kernel
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 457500 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 09:21 EDT by petrosyan
Modified: 2013-01-09 23:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 12:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of 'rpm -qa --triggers' (3.29 KB, text/plain)
2008-07-31 13:55 EDT, petrosyan
no flags Details

  None (edit)
Description petrosyan 2008-07-31 09:21:19 EDT
Description of problem:
When installing the kernel package I get the following error message:
Installing kernel-2.6.27-0.186.rc0.git15.fc10.x86_64
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.186.rc0.git15.fc10.x86_64
Comment 1 Dave Jones 2008-07-31 11:12:18 EDT
that's really, really bizarre.  because you're the only person that seems to be
seeing this.

there's no mkdir -t anywhere in the spec file.
The only thing we have there is mkdir -p

in hex, p=0x70 and t=0x74   A single bit is different.  I'm wondering if perhaps
you have a memory error.  Is it repeatable?   Run memtest86 for a while ?
Comment 2 petrosyan 2008-07-31 13:28:07 EDT
It is very repeatable.

# rpm -ivh kernel-2.6.27-0.186.rc0.git15.fc10.x86_64.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.

# rpm -e kernel

# rpm -ivh kernel-2.6.27-0.186.rc0.git15.fc10.x86_64.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
Comment 3 petrosyan 2008-07-31 13:29:39 EDT
I am running Fedora rawhide under KVM.
Comment 4 Bill Nottingham 2008-07-31 13:45:59 EDT
What happens if you run 'rpm -qa --triggers' and look for a 'mkdir -t'?
Comment 5 Chuck Ebbert 2008-07-31 13:54:44 EDT
Also what is the output of the command 'which mkdir'?
Comment 6 petrosyan 2008-07-31 13:55:12 EDT
Created attachment 313122 [details]
output of 'rpm -qa --triggers'
Comment 7 petrosyan 2008-07-31 14:01:13 EDT
# which mkdir
/bin/mkdir
Comment 8 darrell pfeifer 2008-08-01 10:05:38 EDT
This is a "me too", though in my case, on real hardware with the PAE kernel.

  Installing     : kernel-PAE                                      [28/68] 
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.

Up until the xen changes yesterday, the installation used to complain about
ld-linux not being a symbolic link (though it was). That message no longer appears.
Comment 9 Dave Jones 2008-08-01 10:24:00 EDT
*** Bug 457500 has been marked as a duplicate of this bug. ***
Comment 10 Jeremy Katz 2008-08-01 10:45:47 EDT
What's the output of ls -R /etc/kernel?  And what dropped the files there (rpm
-qf /etc/kernel/*/* |sort -u)?
Comment 11 petrosyan 2008-08-01 11:11:45 EDT
I cannot reproduce this bug with kernel-2.6.27-0.205.rc1.git2.fc10.x86_64 any
longer. Should I close this bug? Can darrel and jesse still reproduce this bug
with the latest rawhide kernel?
Comment 12 Tom London 2008-08-01 12:19:10 EDT
I am seing this with .205 and with .208 form koji:
[root@localhost Downloads]# rpm -ivh kernel-2*
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
install: cannot open `/usr/lib/libply.so.1' for reading: No such file or directory
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
[root@localhost Downloads]# 

It seems that something is removimg the symbolic link '/usr/lib/libply.so.1'
each time I try to install the kernel.  I put the link back, but it seems to get
removed somehow.

[root@localhost sbin]# ls -R /etc/kernel
/etc/kernel:
postinst.d  prerm.d

/etc/kernel/postinst.d:

/etc/kernel/prerm.d:
[root@localhost sbin]# 
Comment 13 Tom London 2008-08-01 12:20:13 EDT
BTW, the above was with kernel-2.6.27-0.208.rc1.git2.fc10.i686.rpm
Comment 14 Tom London 2008-08-01 12:29:17 EDT
I put a 'set -x' into /sbin/new-kernel-pkg and got the below trace.

Key snippet:
+ '[' make == make ']'
+ mkinitrd
+ '[' -n '' ']'
+ /sbin/mkinitrd --allow-missing -f
/boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img 2.6.27-0.208.rc1.git2.fc10.i686
install: cannot open `/usr/lib/libply.so.1' for reading: No such file or directory
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
+ rc=0

-------------------------

[root@localhost Downloads]# rpm -ivh kernel-2.6.27-0.208.rc1.git2.fc10.i686.rpm  
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
+ PATH=/sbin:/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
+ lilo=/sbin/lilo
+ kernelName=vmlinuz
+ '[' -x ./grubby ']'
+ grubby=/sbin/grubby
+ '[' -f /etc/sysconfig/kernel ']'
+ . /etc/sysconfig/kernel
++ UPDATEDEFAULT=yes
++ DEFAULTKERNEL=kernel
+ cfgGrub=
+ cfgLilo=
+ runLilo=
+ grubConfig=
++ uname -m
+ ARCH=i686
+ '[' i686 = ia64 ']'
+ '[' i686 = ppc64 -o i686 = ppc ']'
+ '[' i686 = sparc -o i686 = sparc64 ']'
+ '[' i686 = s390 -o i686 = s390x ']'
+ liloConfig=/etc/lilo.conf
++ readlink -f /etc/grub.conf
+ grubConfig=/boot/grub/grub.conf
+ bootPrefix=/boot
+ liloFlag=lilo
+ isx86=yes
+ mode=
+ version=
+ initrd=
+ initrdfile=
+ moddep=
+ verbose=
+ makedefault=
+ package=
+ mbkernel=
+ mbargs=
+ '[' 6 -gt 0 ']'
+ case $1 in
+ echo --package
+ grep =
+ package=kernel
+ shift
+ shift
+ '[' 4 -gt 0 ']'
+ case $1 in
+ initrd=make
+ shift
+ '[' 3 -gt 0 ']'
+ case $1 in
+ moddep=make
+ shift
+ '[' 2 -gt 0 ']'
+ case $1 in
+ '[' -z '' ']'
+ mode=--install
+ shift
+ '[' 1 -gt 0 ']'
+ case $1 in
+ '[' -z --install ']'
+ '[' -z '' ']'
+ version=2.6.27-0.208.rc1.git2.fc10.i686
+ shift
+ '[' 0 -gt 0 ']'
+ '[' --install '!=' --install -a --install '!=' --remove -a --install '!='
--update -a --install '!=' --rpmposttrans ']'
+ '[' -z 2.6.27-0.208.rc1.git2.fc10.i686 ']'
+ '[' --install '!=' --install -a '' ']'
++ echo
++ cut -d . -f 1,2
+ kernelmajor=
+ '[' i686 = ppc64 -o i686 = ppc ']'
+ '[' -z '' ']'
++ uname -m
+ '[' i686 = ia64 ']'
+ initrdfile=/boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img
+ '[' -n '' ']'
+ '[' --install == --install -a yes == yes -a -n kernel -a -n kernel -a kernel
== kernel ']'
+ makedefault=--make-default
+ '[' -n '' ']'
+ '[' make == make ']'
+ doDepmod
+ '[' -n '' ']'
+ depmod -ae -F /boot/System.map-2.6.27-0.208.rc1.git2.fc10.i686
2.6.27-0.208.rc1.git2.fc10.i686

+ '[' 0 '!=' 0 ']'
+ '[' '!' -x /sbin/grubby ']'
+ '[' -n /boot/grub/grub.conf ']'
+ '[' -f /boot/grub/grub.conf ']'
+ cfgGrub=1
+ '[' -n /etc/lilo.conf ']'
+ '[' -f /etc/lilo.conf ']'
+ '[' -n '' -a -n yes ']'
+ '[' --install == --install ']'
+ install
+ '[' '!' -f /boot/vmlinuz-2.6.27-0.208.rc1.git2.fc10.i686 ']'
+ INITRD=
+ '[' -f /boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img ']'
+ '[' -n '' ']'
+ INITRD='--initrd /boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img'
+ '[' -d /proc/iSeries ']'
++ awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/") { print $1; }}' /etc/fstab
+ rootdevice=/dev/VolGroup00/LogVol00
++ echo /dev/VolGroup00/LogVol00
++ cut -d= -f1
+ short=/dev/VolGroup00/LogVol00
+ '[' /dev/VolGroup00/LogVol00 == LABEL -o /dev/VolGroup00/LogVol00 == UUID ']'
+ '[' -n '' -a -n '' -a lilo '!=' elilo ']'
+ '[' -n 1 ']'
+ '[' -n '' ']'
+ '[' -n '' ']'
+ '[' -f /etc/redhat-release ']'
++ sed 's/ release.*$//'
+ title='Fedora (2.6.27-0.208.rc1.git2.fc10.i686)'
+ /sbin/grubby --add-kernel=/boot/vmlinuz-2.6.27-0.208.rc1.git2.fc10.i686
--initrd /boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img --copy-default
--make-default --title 'Fedora (2.6.27-0.208.rc1.git2.fc10.i686)'
'--args=root=/dev/VolGroup00/LogVol00 ' '--remove-kernel=TITLE=Fedora
(2.6.27-0.208.rc1.git2.fc10.i686)'
+ '[' -n '' ']'
+ '[' -n '' ']'
+ exit 0
+ PATH=/sbin:/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
+ lilo=/sbin/lilo
+ kernelName=vmlinuz
+ '[' -x ./grubby ']'
+ grubby=/sbin/grubby
+ '[' -f /etc/sysconfig/kernel ']'
+ . /etc/sysconfig/kernel
++ UPDATEDEFAULT=yes
++ DEFAULTKERNEL=kernel
+ cfgGrub=
+ cfgLilo=
+ runLilo=
+ grubConfig=
++ uname -m
+ ARCH=i686
+ '[' i686 = ia64 ']'
+ '[' i686 = ppc64 -o i686 = ppc ']'
+ '[' i686 = sparc -o i686 = sparc64 ']'
+ '[' i686 = s390 -o i686 = s390x ']'
+ liloConfig=/etc/lilo.conf
++ readlink -f /etc/grub.conf
+ grubConfig=/boot/grub/grub.conf
+ bootPrefix=/boot
+ liloFlag=lilo
+ isx86=yes
+ mode=
+ version=
+ initrd=
+ initrdfile=
+ moddep=
+ verbose=
+ makedefault=
+ package=
+ mbkernel=
+ mbargs=
+ '[' 4 -gt 0 ']'
+ case $1 in
+ echo --package
+ grep =
+ package=kernel
+ shift
+ shift
+ '[' 2 -gt 0 ']'
+ case $1 in
+ '[' -z '' ']'
+ mode=--rpmposttrans
+ shift
+ '[' 1 -gt 0 ']'
+ case $1 in
+ '[' -z --rpmposttrans ']'
+ '[' -z '' ']'
+ version=2.6.27-0.208.rc1.git2.fc10.i686
+ shift
+ '[' 0 -gt 0 ']'
+ '[' --rpmposttrans '!=' --install -a --rpmposttrans '!=' --remove -a
--rpmposttrans '!=' --update -a --rpmposttrans '!=' --rpmposttrans ']'
+ '[' -z 2.6.27-0.208.rc1.git2.fc10.i686 ']'
+ '[' --rpmposttrans '!=' --install -a '' ']'
++ cut -d . -f 1,2
++ echo
+ kernelmajor=
+ '[' i686 = ppc64 -o i686 = ppc ']'
+ '[' -z '' ']'
++ uname -m
+ '[' i686 = ia64 ']'
+ initrdfile=/boot/initrd-2.6.27-0.208.rc1.git2.fc10.i686.img
+ '[' -n '' ']'
+ '[' --rpmposttrans == --install -a yes == yes -a -n kernel -a -n kernel -a
kernel == kernel ']'
+ '[' '' == make ']'
+ '[' '' == remove ']'
+ '[' '' == make ']'
+ '[' '' == remove ']'
+ '[' '!' -x /sbin/grubby ']'
+ '[' -n /boot/grub/grub.conf ']'
+ '[' -f /boot/grub/grub.conf ']'
+ cfgGrub=1
+ '[' -n /etc/lilo.conf ']'
+ '[' -f /etc/lilo.conf ']'
+ '[' -n '' -a -n yes ']'
+ '[' --rpmposttrans == --install ']'
+ '[' --rpmposttrans == --remove ']'
+ '[' --rpmposttrans == --update ']'
+ '[' --rpmposttrans == --rpmposttrans ']'
+ rpmposttrans
+ local files
+ local f
+ files='/etc/kernel/postinst.d/*[^~]
/etc/kernel/postinst.d/2.6.27-0.208.rc1.git2.fc10.i686/*[^~]'
+ for f in '$files'
+ '[' -f '/etc/kernel/postinst.d/*[^~]' -a -x '/etc/kernel/postinst.d/*[^~]' ']'
+ continue
+ for f in '$files'
+ '[' -f '/etc/kernel/postinst.d/2.6.27-0.208.rc1.git2.fc10.i686/*[^~]' -a -x
'/etc/kernel/postinst.d/2.6.27-0.208.rc1.git2.fc10.i686/*[^~]' ']'
+ continue
+ exit 0
[root@localhost Downloads]# 
Comment 15 Tom London 2008-08-01 12:31:34 EDT
Reverting mkinitrd, nash, etc. to *-6.0.55-2.fc10* and rerunning install:

[root@localhost Downloads]# rpm -ivh kernel-2.6.27-0.208.rc1.git2.fc10.i686.rpm  
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
/sbin/ldconfig: /lib/ld-linux.so.2 is not a symbolic link

[root@localhost Downloads]# 
Comment 16 Warren Togami 2008-08-01 22:14:34 EDT
I am seeing this too in my F10 LTSP client chroot.

bash-3.2# rpm -q kernel mkinitrd
kernel-2.6.27-0.205.rc1.git2.fc10.i586
mkinitrd-6.0.56-1.fc10.i386

With the exact same config file that I used with F9 mkinitrd.

bash-3.2# cat /etc/sysconfig/mkinitrd 
# Equivalent of the following:
#--with-avail==networking --net-dev=eth0 --rootfs nfs
--rootdev=192.168.0.254:/opt/ltsp/i386 --rootopts=noatime,dhcp
availmodules="=networking"
NET_LIST="eth0"
rootfs="nfs"
rootdev="192.168.0.254:/opt/ltsp/i386"
rootopts="noatime,dhcp"
BOOTPROTO="dhcp"

bash-3.2# mkinitrd -f /boot/initrd-2.6.27-0.205.rc1.git2.fc10.i586.img
2.6.27-0.205.rc1.git2.fc10.i586
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.

Curiously when I run mkinitrd with the -v option I don't see the "mkdir: invalid
option" among the output.

Huh?
Comment 17 petrosyan 2008-08-07 00:38:45 EDT
I can't reproduce this bug anymore with
mkinitrd-6.0.56-1.fc10.x86_64
kernel-2.6.27-0.226.rc1.git5.fc10.x86_64
Comment 18 Tom London 2008-08-07 10:43:54 EDT
Agreed, I can't reproduce anymore.

Note You need to log in before you can comment on or make changes to this bug.